## condor 8.2.9~dfsg.1

=== CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

##########################################################################
# Set project
project(CONDOR)
cmake_minimum_required(VERSION 2.6)

##########################################################################
#Setup package meta-data (used in packaging)
set(PACKAGE "condor")

# Condor version info
#   Condor and other systems parse this number. Keep it simple:
#   Number.Number.Number. Do nothing else.  If you need to add
#   more information, PRE_RELEASE is usually the right location.
set(VERSION "8.2.9")

# Set PRE_RELEASE to either a string (i.e. "PRE-RELEASE-UWCS") or OFF
#   This shuld be "PRE-RELEASE-UWCS most of the time, and OFF when
#   building a release candidate.  If you need to identify builds,
#   perhaps because you are working on a feature branch and need to
#   ship test binaries to a user, change this to identify your work.
#   Avoid whitespace.
#set(PRE_RELEASE "PRE-RELEASE-UWCS")
set(PRE_RELEASE OFF)

# If set via the cmake command line, FORCE_PRE_RELEASE allows for
#   PRE_RELEASE to be forced into a build.
#   cmake ... -DFORCE_PRE_RELEASE:STRING=PRE-RELEASE-NMI
if( FORCE_PRE_RELEASE )
  set(PRE_RELEASE ${FORCE_PRE_RELEASE})
endif( FORCE_PRE_RELEASE )

set(PACKAGE_BUGREPORT "http://condor-wiki.cs.wisc.edu/index.cgi/tktnew")
set(PACKAGE_NAME ${PACKAGE} )
set(PACKAGE_VERSION ${VERSION} )
set(PACKAGE_STRING ${PACKAGE} )
string( TOUPPER "${CMAKE_SYSTEM_NAME}" OS_NAME )
string( TOUPPER "${CMAKE_SYSTEM_VERSION}" OS_VER )
string( TOUPPER "${CMAKE_SYSTEM_PROCESSOR}" SYS_ARCH )
site_name(HOSTNAME)
option(_DEBUG "Debug statements and set default build config" OFF)

###########################################
# start cmake module inclusion
list(APPEND CMAKE_MODULE_PATH ${CONDOR_SOURCE_DIR}/build/cmake/macros;${CONDOR_SOURCE_DIR}/build/cmake/modules;${CONDOR_SOURCE_DIR}/build/cmake)

include (dprint) # set debug module 1st to all spewing in other modules if needed
include (AppendVar)
include (CommandTarget)
include (gSOAPGen)
include (CloneInstall)
include (FindMultiple)
include (ExternalProject)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include (CheckStructHasMember)
include (CheckTypeExists)
include (CheckLibraryExists)
include (CheckTypeSize)
include (GetTimeDate)
include (CleanString)
include (PackageDate)
include (SystemSpecificInformations)
include (CondorPackageConfig) # setup packaging variables needed prior to install targets
include (CondorGlob)
include (CondorSelectiveGlob)
include (CondorSetLinkLibs)
include (CondorExe)
include (CondorDaemon)
include (CondorPrecompiledHeaders)
include (CondorStaticLib)
include (CondorPlugin)
include (CheckCXXCompilerFlag)
include (CheckCXXSourceCompiles)
include (AddSubdirectories)
include (CTest)
include (CondorPLTest)
include (CondorExeTest)
include (CondorUnitTest)
include (CondorStdExeTest)
include (SrcTargetRef)
include (DumpLocalFlags)
include (CondorPreExternal)
include (CondorPostExternal)
include (CondorConfigure)     # will initiate the configure
include (TarGz) # Must be after include(CondorPackageConfig)

if ( WINDOWS )
	set_property(GLOBAL PROPERTY USE_FOLDERS ON)
endif ( WINDOWS )
##########################################################################
# we only include the single sub to allow make at two levels.
# root - includes externals
# src - src -> only
# this way clean @ root cleans externals while clean @src cleans just the src.
add_subdirectory (src)
add_subdirectory (build/packaging)

##########################################################################
# the following are existing doc targets
# ideally one would transform the building of the docs to cmake or a script

# logic here to support old nmi builds
if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/doc/man")

	if (NOT WANT_MAN_PAGES OR ${LATEX} STREQUAL "LATEX-NOTFOUND" OR ${LATEX2HTML} STREQUAL "LATEX2HTML-NOTFOUND")
		message(STATUS "NOTE: Skipping man-pages")
	else()
		
		message(STATUS "NOTE: Will try building man-pages")
		# NOTE: deps are not configured to detect file changes.
		add_custom_command (OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/doc/man/man1/condor_on.1
						COMMAND make
						ARGS just-man-pages
						WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/doc )
						#DEPENDS )

		add_custom_target ( docs ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/doc/man/man1/condor_on.1 )
		
		install( DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/doc/man/ DESTINATION ${C_MAN} )
	endif()

else()
	message(STATUS "NOTE: Will install prebuilt man-pages")
	#Use trailing slash; otherwise, it will be C_MAN/man
	install( DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/doc/man/ DESTINATION ${C_MAN} )
endif()

##########################################################################
# Must in included post *install targets
include ( CPack )

=== src/condor_kbdd/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

if (HAVE_KBDD)

	condor_glob(kbdHdrs kbdSrcs "")

	condor_exe( condor_kbdd "${kbdHdrs};${kbdSrcs}" ${C_SBIN} "${CONDOR_LIBS};${HAVE_X11}" ON )
else()

    message(STATUS "NOTE: *condor_kbdd* will not be built, HAVE_KBDD doesn't exist")

endif()

=== src/condor_scripts/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 


if (NOT WINDOWS)

    install ( FILES condor_run DESTINATION ${C_BIN} PERMISSIONS ${CONDOR_SCRIPT_PERMS} )
    install ( FILES condor_updates_stats condor_init DESTINATION ${C_SBIN} PERMISSIONS ${CONDOR_SCRIPT_PERMS} )
    install ( FILES condor_gather_info DESTINATION ${C_BIN} PERMISSIONS ${CONDOR_SCRIPT_PERMS} )
    install ( FILES condor_pool_job_report DESTINATION ${C_BIN} PERMISSIONS ${CONDOR_SCRIPT_PERMS} )

    if (WANT_FULL_DEPLOYMENT)
        install ( FILES condor_configure DESTINATION ${C_SBIN} PERMISSIONS ${CONDOR_SCRIPT_PERMS} )
        install ( FILES condor_configure DESTINATION ${C_SBIN} RENAME condor_install PERMISSIONS ${CONDOR_SCRIPT_PERMS} )
        install ( FILES condor_configure DESTINATION ${C_SBIN} RENAME bosco_install PERMISSIONS ${CONDOR_SCRIPT_PERMS} )
        install ( CODE "EXECUTE_PROCESS(COMMAND \"${CMAKE_COMMAND}\" -E create_symlink ./sbin/bosco_install \${CMAKE_INSTALL_PREFIX}/bosco_install)" )
        install ( CODE "EXECUTE_PROCESS(COMMAND \"${CMAKE_COMMAND}\" -E create_symlink ./sbin/condor_install \${CMAKE_INSTALL_PREFIX}/condor_install)" )
        install ( CODE "EXECUTE_PROCESS(COMMAND \"${CMAKE_COMMAND}\" -E create_symlink ./sbin/condor_configure \${CMAKE_INSTALL_PREFIX}/condor_configure)" )
    endif(WANT_FULL_DEPLOYMENT)

	install ( FILES condor_ssh sshd.sh DESTINATION ${C_LIBEXEC} PERMISSIONS ${CONDOR_SCRIPT_PERMS} )

    install ( FILES Condor.pm CondorUtils.pm CondorTest.pm CondorPersonal.pm DESTINATION ${C_LIB} PERMISSIONS ${CONDOR_SCRIPT_PERMS} )

	if (STD_UNIVERSE)
		install ( FILES condor_compile DESTINATION ${C_BIN} PERMISSIONS ${CONDOR_SCRIPT_PERMS} )
		install ( FILES ld DESTINATION ${C_LIB} PERMISSIONS ${CONDOR_SCRIPT_PERMS} )
		install ( FILES ld DESTINATION ${C_LIB} RENAME real-ld PERMISSIONS ${CONDOR_SCRIPT_PERMS} )
	endif(STD_UNIVERSE)

	install ( FILES condor_qsub DESTINATION ${C_BIN} PERMISSIONS ${CONDOR_SCRIPT_PERMS} )

endif (NOT WINDOWS)

=== src/condor_tests/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

############################################################################
## Ok, so in exorcising the unholy daemons in the test goop
## all file generation & manipulation is done in a configure step
## vs. a target. As a result I no longer use safe_append.
if (BUILD_TESTING)

	##########################################################
	# vars and settings
	set(CONDOR_SCRIPTS_DIR ${CONDOR_SOURCE_DIR}/src/condor_scripts)
	include_directories(${CONDOR_SOURCE_DIR}/src/condor_chirp) 

	##########################################################
	## begin file goop manipulation specific to the horror that
	## is the "condor testing framework."
	foreach(scriptFile Condor.pm
			   CondorTest.pm
			   CondorPersonal.pm
			   CondorUtils.pm
			   batch_test.pl)
		configure_file(${CONDOR_SCRIPTS_DIR}/${scriptFile}
				${TEST_TARGET_DIR}/${scriptFile} COPYONLY)
	endforeach(scriptFile)

	# 1st remove generated files.
	file( GLOB RMV_FIRST ${TEST_TARGET_DIR}/list_* *.desc )
	if (RMV_FIRST)
		file( REMOVE ${RMV_FIRST} )
	endif()

	##########################################################
	# exe test targets
	condor_exe_test(x_return-n.exe "x_return-n.cpp;x_waste_second.c" "")
	condor_exe_test(x_dumpcore.exe "x_dumpcore.cpp" "")
	condor_exe_test(x_tightloop.exe "x_tightloop.cpp" "")
	condor_exe_test(x_killppid.exe "x_killppid.cpp" "condorapi")
	condor_exe_test(lib_chirpio.exe "lib_chirpio.cpp" "chirp_client")
	condor_exe_test(job_core_chirp_par.exe "job_core_chirp_par.cpp" "chirp_client")
	condor_exe_test(x_read_joblog.exe "x_read_joblog.cpp" "condorapi")
	condor_exe_test(x_write_joblog.exe "x_write_joblog.cpp" "condorapi")
	condor_exe_test(x_write_joblog_events.exe "x_write_joblog_events.cpp" "condorapi")
	condor_exe_test(lib_eventlog_base.exe "lib_eventlog_base.cpp" "condorapi")
	condor_exe_test(job_core_bigenv.exe "job_core_bigenv.c" "")
	condor_exe_test(lib_eventlog_build.exe "lib_eventlog_base.cpp" "condorapi")
	condor_exe_test(x_job_mem_checker.exe "x_job_mem_checker.c" "" )
	condor_exe_test(x_complete_params.exe "x_complete_params.cpp" "" )
	condor_exe_test(x_conditional_params.exe "x_conditional_params.cpp" "${CONDOR_TOOL_LIBS};${CONDOR_WIN_LIBS}" )
	condor_exe_test(validate_job_queue.exe "validate_job_queue.cpp" "${CONDOR_TOOL_LIBS};${CONDOR_WIN_LIBS}" )
	
	# Not all of our gccs support -Wno-div-by-zero.
	#if (UNIX)
	#	set_source_files_properties(x_dumpcore.cpp PROPERTIES COMPILE_FLAGS -Wno-div-by-zero)
	#endif(UNIX)

	if(WINDOWS)
		condor_exe_test(sleep.exe "sleep.cpp" "")
	endif(WINDOWS)

	if (NOT WINDOWS)
	  condor_exe_test(x_trapsig.exe "x_trapsig.cpp" "" )
	endif(NOT WINDOWS)
	
	if (STD_UNIVERSE)
		
		# disable any optimizations + compile with specific fla
		set( CMAKE_BUILD_TYPE Debug )
		add_library( stdulib STATIC EXCLUDE_FROM_ALL "x_waste_second.c" )
		add_dependencies( stdulib condorsyscall)
		set( STDU_LDD_FLAGS -lm;-ldl;-lcrypt;libstdulib.a )

		# C-Tests
		if(${SYS_ARCH} MATCHES "X86_64")
			# Only x86_64 machines get to run this test. On 32-bit machines,
			# we still have a 2GB limit for the file size. See gt2337.
			# Mainly, the submit side AND the application both must be 64-bit
			# applications.
			condor_std_exe_test(job_ckpt_lfs_std "${CMAKE_C_COMPILER}" "job_ckpt_lfs_std.c" "${STDU_LDD_FLAGS}")
		endif()

		condor_std_exe_test(job_core_compressfiles "${CMAKE_C_COMPILER}" "job_core_compressfiles.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_core_coredump "${CMAKE_C_COMPILER}" "job_core_coredump.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_binary-io_std "${CMAKE_C_COMPILER}" "job_rsc_binary-io_std.c" "${STDU_LDD_FLAGS}")

		#C++-Tests
		condor_std_exe_test(job_ckpt_constructor_std "${CMAKE_CXX_COMPILER}" "job_ckpt_constructor_std.cpp" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_env_std "${CMAKE_CXX_COMPILER}" "job_ckpt_env_std.cpp" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_memory-file_std "${CMAKE_CXX_COMPILER}" "job_ckpt_memory-file_std.cpp" "${STDU_LDD_FLAGS}")
		
		condor_std_exe_test(job_core-cpp_exception_std "${CMAKE_CXX_COMPILER}" "job_core-cpp_exception_std.cpp" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_core-cpp_mem-alloc_std "${CMAKE_CXX_COMPILER}" "job_core-cpp_mem-alloc_std.cpp" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_fstream_std "${CMAKE_CXX_COMPILER}" "job_rsc_fstream_std.cpp" "${STDU_LDD_FLAGS}")

		# Common to both.  ok so here is my take on this
		# these tests, "test" a function and it is irrelovant whether
		# they were bound via c vs. c++
		condor_std_exe_test(job_core_bigenv "${CMAKE_C_COMPILER}" "job_core_bigenv.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_all-syscalls_std "${CMAKE_C_COMPILER}" "job_rsc_all-syscalls_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_hello_std "${CMAKE_C_COMPILER}" "job_rsc_hello_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_fcntl_std "${CMAKE_C_COMPILER}" "job_rsc_fcntl_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_truncate_std "${CMAKE_C_COMPILER}" "job_rsc_truncate_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_getdirentries_std "${CMAKE_C_COMPILER}" "job_rsc_getdirentries_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_fgets_std "${CMAKE_C_COMPILER}" "job_rsc_fgets_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_fread_std "${CMAKE_C_COMPILER}" "job_rsc_fread_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_ftell_std "${CMAKE_C_COMPILER}" "job_rsc_ftell_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_stat_std "${CMAKE_C_COMPILER}" "job_rsc_stat_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_open-N-serial_std "${CMAKE_C_COMPILER}" "job_rsc_open-N-serial_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_atexit_std "${CMAKE_C_COMPILER}" "job_rsc_atexit_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_rsc_zero-calloc_std "${CMAKE_C_COMPILER}" "job_rsc_zero-calloc_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_combo-sanity_std "${CMAKE_C_COMPILER}" "job_ckpt_combo-sanity_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_io-async_std "${CMAKE_C_COMPILER}" "job_ckpt_io-async_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_io-buffer-async_std "${CMAKE_C_COMPILER}" "job_ckpt_io-buffer-async_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_io-buffer-async-compressed_std "${CMAKE_C_COMPILER}" "job_ckpt_io-buffer-async-compressed_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_stack_std "${CMAKE_C_COMPILER}" "job_ckpt_stack_std.c" "${STDU_LDD_FLAGS}")
		condor_pl_test(job_ckpt_stack_with_ckpt_server_std "Test of checkpoint server" "core;quick;full;quicknolink")
		condor_std_exe_test(job_ckpt_standalone_std "${CMAKE_C_COMPILER}" "job_ckpt_standalone_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_nscd_std "${CMAKE_C_COMPILER}" "job_ckpt_nscd_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_floats_std "${CMAKE_C_COMPILER}" "job_ckpt_floats_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_floats-async_std "${CMAKE_C_COMPILER}" "job_ckpt_floats-async_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_integers_std "${CMAKE_C_COMPILER}" "job_ckpt_integers_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_signals_std "${CMAKE_C_COMPILER}" "job_ckpt_signals_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_dup_std "${CMAKE_C_COMPILER}" "job_ckpt_dup_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_longjmp_std "${CMAKE_C_COMPILER}" "job_ckpt_longjmp_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_gettimeofday_std "${CMAKE_C_COMPILER}" "job_ckpt_gettimeofday_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_open-async-ckpt_std "${CMAKE_C_COMPILER}" "job_ckpt_open-async-ckpt_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_open-N-parallel_std "${CMAKE_C_COMPILER}" "job_ckpt_open-N-parallel_std.c" "${STDU_LDD_FLAGS}")
		condor_std_exe_test(job_ckpt_socket-support_std "${CMAKE_C_COMPILER}" "job_ckpt_socket-support_std.c" "${STDU_LDD_FLAGS}")

		# someone else can add the fortran tests.
		dprint("UW - add fortran .exe tests if desired")

		if( ${SYS_ARCH} MATCHES "X86_64" )
			if(  "${RPM_SYSTEM_NAME}" MATCHES "rhel5"
			  OR "${RPM_SYSTEM_NAME}" MATCHES "rhel6"
			  OR "${RPM_SYSTEM_NAME}" MATCHES "rhel7"
			  OR "${RPM_SYSTEM_NAME}" MATCHES "sl6"
			  OR "${RPM_SYSTEM_NAME}" MATCHES "sl6"
			  OR "${SYSTEM_NAME}" MATCHES "Debian-6"
			  OR "${SYSTEM_NAME}" MATCHES "Debian-7"
			  OR "${SYSTEM_NAME}" MATCHES "Debian-8"
			  # Debian testing.
			  OR "${SYSTEM_NAME}" MATCHES "Debian-"
			  OR "${SYSTEM_NAME}" MATCHES "Ubuntu-14" )
				condor_pl_test(job_ligo_x86-64-chkpttst "Special LIGO test" "core;quick;full;quicknolink")
			endif()
		endif()

	endif(STD_UNIVERSE)

	##########################################################
	# platform specific tests
	if(LINUX)

		condor_pl_test( job_ec2_basic "EC2 Query API test" "quick;full;quicknolink" )
		condor_pl_test( job_hyperthread_check "hyper thread testing test" "quick;full;quicknolink" )
		condor_pl_test(lib_procapi_pidtracking-byenv "Slow Termination Child Cleanup Test" "core;quick;full;quicknolink")
		#condor_pl_test(job_core_shadow-lessthan-memlimit_van "Make sure the shadow stays below memory limit" "core;quick;full;quicknolink")
		if ( WITH_LIBDELTACLOUD )
			# This test fails everywhere
			#condor_pl_test(job_deltacloud_basic "Deltacloud test" "core;quick;full;quicknolink")
		endif()
	endif()

	# negative matches. test on everything but this
	if(NOT SOLARIS AND NOT WINDOWS)
		condor_pl_test(job_core_killsignal_sched "Scheduler: Verify the specified input file is used" "core;quick;full;quicknolink")
		condor_pl_test(job_core_rmkillsig_sched "Scheduler: Verify the  remove_kill_sig" "core;quick;full;quicknolink")
	endif()


	condor_pl_test(cmd_condor_off-master "vanilla: condor_on condor_off test" "core;quick;full;quicknolink")
	condor_pl_test(job_test_scheddrotation "Scheduler: basic log rotation test" "core;quick;full;quicknolink")
	condor_pl_test(job_test_logrotation "basic log rotation test" "core;quick;full;quicknolink")
	condor_pl_test(fetch_work_static_slot "work fetch static smoke test" "core;quick;quicknolink")
	condor_pl_test(fetch_work_pslot "work fetch pslot smoke test" "core;quick;quicknolink")
	if(HAVE_EXT_OPENSSL)
		condor_pl_test(lib_auth_protocol-ssl "SSL authentication test" "core;quick;full;quicknolink")
	endif()
	#condor_pl_test(lib_auth_protocol-pw "PW authentication test" "core;quick;full;quicknolink")
	if (HAVE_EXT_GLOBUS)
	condor_pl_test(lib_auth_protocol-gsi "GSI authentication test" "core;quick;full;quicknolink")
	endif()
	condor_pl_test(job_dagman_node_status_rm "Check status file shows condor_rm" "dagman;quick;full;quicknolink")
	condor_pl_test(job_dagman_large_dag "Test large DAG w/ recovery mode" "dagman;quick;full;quicknolink")
	condor_pl_test(lib_shared_port_van "Test of shared port feature." "core;quick;full;quicknolink")
	condor_pl_test(lib_shared_port-collector_van "Test of shared port feature with collector usage." "core;quick;full;quicknolink")
	condor_pl_test(lib_shared_port-check-ports_van "Test of shared port feature with respect to open ports." "core;quick;full;quicknolink")

=== src/condor_utils/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 


##################################################
# utils library
if(WINDOWS)
  file( GLOB RmvSrcs y.tab* lex.yy* ckpt_server_api_stubs* libcondorapi_stubs* dprintf_syslog*
  soap_helpers* test_* *.t.cpp *test.cpp cat_url.cpp *Test* param_info_hash.cpp param_info_init.c )
else()
  file( GLOB RmvSrcs y.tab* lex.yy* ckpt_server_api_stubs* libcondorapi_stubs* 
  soap_helpers* test_* *.t.cpp *test.cpp cat_url.cpp *Test* param_info_hash.cpp param_info_init.c )
endif()

condor_glob( HeaderFiles SourceFiles "${RmvSrcs}" )

############ generate params
add_custom_command (OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/command_name_tables.h
		COMMAND perl
		ARGS ${CMAKE_CURRENT_SOURCE_DIR}/command_table_generator.pl -i ${CMAKE_CURRENT_SOURCE_DIR}/../condor_includes/condor_commands.h -o ${CMAKE_CURRENT_BINARY_DIR}/command_name_tables.h
		DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/../condor_includes/condor_commands.h ${CMAKE_CURRENT_SOURCE_DIR}/command_table_generator.pl)

add_custom_command (OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/param_info_tables.h
		COMMAND perl
		ARGS ${CMAKE_CURRENT_SOURCE_DIR}/param_table_generator.pl -i ${CMAKE_CURRENT_SOURCE_DIR}/param_info.in -o ${CMAKE_CURRENT_BINARY_DIR}/param_info_tables.h -p ${PLATFORM}
		DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/param_info.in ${CMAKE_CURRENT_SOURCE_DIR}/param_table_generator.pl)

add_custom_target (utils_genparams ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/param_info_tables.h ${CMAKE_CURRENT_BINARY_DIR}/command_name_tables.h)

if(UNIX)
	set_source_files_properties(param_info.cpp PROPERTIES COMPILE_FLAGS -Wno-unused-parameter)
endif(UNIX)

############ end generate params


# These are source files that reside in other directories that we want to
# include in libcondor_utils. They used to be in separate libraries.
set( EXTRA_SRCS "${SAFE_OPEN_SRC};${ANALYSIS_UTIL_SRCS};${CCB_UTIL_SRCS};${CEDAR_UTIL_SRCS};${CKPT_SERVER_UTIL_SRCS};${DAEMON_CLIENT_UTIL_SRCS};${DAEMON_CORE_UTIL_SRCS};${PRIVSEP_UTIL_SRCS};${PROCAPI_UTIL_SRCS};${PROCD_CLIENT_UTIL_SRCS};${QMGMT_UTIL_SRCS};${SYSAPI_UTIL_SRCS}" )
if (UNIX)
set_source_files_properties(../condor_sysapi/clinpack.cpp PROPERTIES COMPILE_FLAGS -w)
set_source_files_properties(../condor_daemon_core.V6/self_monitor.cpp ../classad_analysis/analysis.cpp ../classad_analysis/interval.cpp generic_stats.cpp generic_query.cpp PROPERTIES COMPILE_FLAGS -Wno-float-equal)
endif(UNIX)

# Turn off the OpenSSL deprecation warnings until we decide on the long-term direction with OpenSSL on Mac.
if (DARWIN)
	set_source_files_properties(condor_base64.cpp PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
	set_source_files_properties(condor_dh.cpp PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
	set_source_files_properties(condor_md.cpp PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
	set_source_files_properties(../condor_io/condor_auth_passwd.cpp PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
	set_source_files_properties(../condor_io/condor_auth_ssl.cpp PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
	set_source_files_properties(../condor_io/condor_crypt.cpp PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
	set_source_files_properties(../condor_io/condor_crypt_3des.cpp PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
	set_source_files_properties(../condor_io/condor_crypt_blowfish.cpp PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
endif()

#On windows we add the cpp file into the build 
if (GSOAP_SRC)
	set_source_files_properties(${GSOAP_SRC} PROPERTIES GENERATED TRUE)
	list(APPEND EXTRA_SRCS ${GSOAP_SRC} )
endif()

condor_shared_lib( condor_utils "${HeaderFiles};${SourceFiles};${EXTRA_SRCS}" )
add_dependencies(condor_utils utils_genparams syscall_numbers )
if ( ${PACKAGE_VERSION} MATCHES "([0-9]+)[.]([0-9]+)[.]([0-9]+)" )
	set( UTILS_LIB_NAME "condor_utils_${CMAKE_MATCH_1}_${CMAKE_MATCH_2}_${CMAKE_MATCH_3}" )
else()
	message(FATAL_ERROR "Can't determine Condor version!")
endif()
set_target_properties( condor_utils PROPERTIES OUTPUT_NAME "${UTILS_LIB_NAME}" )

# for linux also make a static version of condor_utils
#
if (LINUX OR DARWIN)
   condor_static_lib( condor_utils_s "${HeaderFiles};${SourceFiles};${EXTRA_SRCS}" )
   add_dependencies( condor_utils_s utils_genparams syscall_numbers )
   set_target_properties( condor_utils_s PROPERTIES OUTPUT_NAME "${UTILS_LIB_NAME}" )
endif(LINUX OR DARWIN)


# Brain twister:
#
# If you dynamicly load a library which links against libcondor_utils (such as
# a python module), the dprintf inside libcondor_utils will be linked against
# the libc dprintf.  Hilarity ensues as internal condor functions use the libc
# dprintf.
#
# The magic below will cause internal references to dprintf to be changed to
# __wrap_dprintf, which is also provided by condor_utils.  Hence, when
# dynamically loaded, Condor's __wrap_dprintf (identical to Condor's dprintf)
# is used instead of libc's.  Condor's dprintf is still exported, meaning
# linking executables against condor_utils still works.
#
# Voodoo, that's what this is.  Never overload libc functions!
#
if ( LINUX )
  set_target_properties( condor_utils PROPERTIES LINK_FLAGS "-Wl,--wrap=dprintf" )
endif()

target_link_libraries(condor_utils ${CLASSADS_FOUND} ${PCRE_FOUND} ${VOMS_FOUND} ${GLOBUS_FOUND} ${OPENSSL_FOUND} ${KRB5_FOUND} ${POSTGRESQL_FOUND} ${COREDUMPER_FOUND} )
if ( DARWIN )
	target_link_libraries( condor_utils ${IOKIT_FOUND} ${COREFOUNDATION_FOUND} resolv )
	add_custom_command( TARGET condor_utils
		POST_BUILD
		COMMAND ${CMAKE_SOURCE_DIR}/src/condor_scripts/macosx_rewrite_libs lib${UTILS_LIB_NAME}.dylib )
endif()
add_dependencies(condor_utils utils_genparams syscall_numbers )

##################################################
# condorapi & tests

condor_selective_glob("my_username.*;condor_event.*;file_sql.*;misc_utils.*;user_log_header.*;write_user_log*;read_user_log*;iso_dates.*;file_lock.*;format_time.*;utc_time.*;stat_wrapper*;log_rotate.*;dprintf.cpp;dprintf_c*;dprintf_setup.cpp;sig_install.*;basename.*;mkargv.*;except.*;strupr.*;lock_file.*;rotate_file.*;strcasestr.*;strnewp.*;condor_environ.*;setsyscalls.*;passwd_cache.*;uids.c*;chomp.*;subsystem_info.*;my_subsystem.*;distribution.*;my_distribution.*;get_random_num.*;libcondorapi_stubs.*;seteuid.*;setegid.*;condor_open.*;classad_merge.*;condor_attributes.*;simple_arg.*;compat_classad.*;compat_classad_util.*;classad_oldnew.*;condor_snutils.*;stringSpace.*;string_list.*;stl_string_utils.*;MyString.*;condor_xml_classads.*;directory*;param_functions.*;filename_tools_cpp.*;filename_tools.*;stat_info.*;consumption_policy.*;${SAFE_OPEN_SRC}" ApiSrcs)
if(WINDOWS)
    condor_selective_glob("directory.WINDOWS.*;directory_util.*;dynuser.WINDOWS.*;lock_file.WINDOWS.*;lsa_mgr.*;my_dynuser.*;ntsysinfo.WINDOWS.*;posix.WINDOWS.*;stat.WINDOWS.*;store_cred.*;token_cache.WINDOWS.*;truncate.WINDOWS.*" ApiSrcs)
    set_property( TARGET utils_genparams PROPERTY FOLDER "libraries" )
else()
    condor_selective_glob("dprintf_syslog*" ApiSrcs)
endif()
add_subdirectory(tests)

condor_static_lib( condorapi "${ApiSrcs}" )
add_dependencies( condorapi condor_utils )

if (HAVE_LIBDL)
	set(APILIBDEP dl)
endif()

target_link_libraries(condorapi ${CLASSADS_FOUND};${APILIBDEP})

if (LINUX OR DARWIN)
	condor_shared_lib( condorapi_shared "${ApiSrcs}" )
	add_dependencies( condorapi_shared condor_utils )
	target_link_libraries(condorapi_shared ${CLASSADS_FOUND};${APILIBDEP})
	set_target_properties( condorapi_shared PROPERTIES OUTPUT_NAME condorapi )
endif()

if (WANT_FULL_DEPLOYMENT)
	install (FILES MyString.h
			 condor_event.h
			 condor_holdcodes.h
			 read_user_log.h
			 user_log.c++.h
			 user_log.README
			 write_user_log.h
			 compat_classad.h
			 compat_classad_list.h
			 compat_classad_util.h
			 stl_string_utils.h
			DESTINATION ${C_INCLUDE})

    install ( TARGETS condorapi DESTINATION ${C_LIB} )
    if (LINUX OR DARWIN)
        install ( TARGETS condorapi_shared DESTINATION ${C_LIB} )
    endif()
endif(WANT_FULL_DEPLOYMENT)

add_definitions(-DENABLE_STATE_DUMP)
condor_exe_test(test_log_reader "test_log_reader.cpp" "${CONDOR_TOOL_LIBS}")
condor_exe_test(test_log_reader_state "test_log_reader_state.cpp" "${CONDOR_TOOL_LIBS}")
condor_exe_test(test_log_writer "test_log_writer.cpp" "${CONDOR_TOOL_LIBS}")
condor_exe_test(test_libcondorapi "test_libcondorapi.cpp" "condorapi")

##################################################
# std universe stubgen stuff
if (STD_UNIVERSE)
	command_target(y.tab yacc "-d;${CMAKE_CURRENT_SOURCE_DIR}/stub_gen_yacc.y" y.tab.c)
	command_target(lex.yy lex "${CMAKE_CURRENT_SOURCE_DIR}/stub_gen_lex.l" lex.yy.c)
	condor_exe(stub_gen "lex.yy.c;y.tab.c;lex.yy.c" OFF "" OFF)
endif(STD_UNIVERSE)
##################################################

=== externals/bundles/blahp/1.16.5.1/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

# The source tarball for this external was downloaded from this URL:
#   http://jra1mw.cvs.cern.ch:8180/cgi-bin/jra1mw.cgi/org.glite.ce.blahp.tar.gz?view=tar&pathrev=glite-ce-blahp_R_1_16_5_1

if ( LINUX )
	option(WITH_BLAHP "Compiling with support for BLAHP" ON)
endif ( LINUX )

if ( WITH_BLAHP )

	if ( NOT PROPER )

		########################################
		if (NOT AUTOCONF OR NOT AUTOMAKE OR NOT LIBTOOLIZE)
			message(FATAL_ERROR "Can't find autoconf, automake, or libtoolize, needed to build blahp external!")
		endif()

		if (PREFER_CPP11)
			set( CPP11_FLAG -std=c++11 )
		else()
			set( CPP11_FLAG "-I${BOOST_INCLUDE}" )
		endif()

		if ( BUILDING_OPENSSL )
			set( BLAHP_DEPENDS ${OPENSSL_REF} ${GLOBUS_REF} )
			set( GLOBUS_M4_FILE globus.m4 )
			set( OPENSSL_FLAG --with-openssl-prefix=${OPENSSL_INSTALL_LOC} )
		else()
			set( BLAHP_DEPENDS ${GLOBUS_REF} )
			set( GLOBUS_M4_FILE globus.m4.openssl )
			set( OPENSSL_FLAG "" )
		endif()


		condor_pre_external( BLAHP blahp-1.16.5.1-p16 "lib;include" "done")
		
		ExternalProject_Add(blahp
						DEPENDS ${BLAHP_DEPENDS}
					    #-- Download Step ----------
					    DOWNLOAD_DIR ${BLAHP_STAGE}/dl
						URL ${EXTERNALS_SOURCE_URL}/blahp-1.16.5.1.tar.gz
						#--Patch step ----------
						PATCH_COMMAND patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/iclassad.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/classad.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/mtrace.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/registry.patch -p1 && 
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/dl.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/lsf-jobid.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/add-sge.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/sge-status.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/sge-status-fallback.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/sge_helper.error-exit.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/add-condor.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/pbs-completion.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/pbs-qdel.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/pbs-status.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/shared-fs.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/shared-dir.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/config-paths.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/escape-args.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/condor-history.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/condor-status.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/submit-l.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/slurm.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/proxy-tools.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/ld-library-path.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/run-dir.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/request-memory.patch -p1 &&
							cp ${CMAKE_CURRENT_SOURCE_DIR}/classads.m4 project/ &&
							cp ${CMAKE_CURRENT_SOURCE_DIR}/${GLOBUS_M4_FILE} project/globus.m4 &&
							cp ${CMAKE_CURRENT_SOURCE_DIR}/glite.m4 project/ &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/name-change.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/lsf-status.patch -p1 &&
							patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/lsf-submit-conf.patch -p1 &&
							mv config/blah.config.template config/batch_gahp.config.template
						#--Configure step ----------
						CONFIGURE_COMMAND export CPPFLAGS=${CPP11_FLAG} &&
							./bootstrap && ./configure --with-classads-prefix=${CLASSADS_INSTALL_LOC}
							${OPENSSL_FLAG}
							--with-globus-prefix=${GLOBUS_INSTALL_LOC}
							--with-globus-nothr-flavor=gcc${BIT_MODE}dbg
							--prefix=${BLAHP_INSTALL_LOC}/opt/glite &&
							sed -i s/^hardcode_libdir_flag_spec=.*/hardcode_libdir_flag_spec=/ libtool
						#--Build Step ----------
						BUILD_COMMAND export LD_RUN_PATH=${EXTERNALS_RPATH} && echo EXTERNALS_RPATH is ${EXTERNALS_RPATH} && env && make
						BUILD_IN_SOURCE 1
						#--install Step ----------
						INSTALL_DIR ${BLAHP_INSTALL_LOC}
						INSTALL_COMMAND make install && touch ${BLAHP_INSTALL_LOC}/done )

		add_dependencies(blahp ${CLASSADS_FOUND})

		### set the install
		install ( DIRECTORY ${BLAHP_INSTALL_LOC}/opt/glite DESTINATION ${C_LIBEXEC} USE_SOURCE_PERMISSIONS )
		install ( CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" -E create_symlink ../../lib ${CMAKE_INSTALL_PREFIX}/${C_LIBEXEC}/glite/lib)" )
		if ( CONDOR_STRIP_PACKAGES AND NOT CONDOR_PACKAGE_BUILD )
			# Strip the libraries manually.
			# Since cmake didn't create the libraries
			# itself, it doesn't know to strip them.
			install( CODE "execute_process(COMMAND find \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${C_LIBEXEC}/glite/bin/. -name [bBt]*[^h]
				COMMAND xargs strip)" )
		endif()

		condor_post_external( blahp OFF OFF )

		set(BLAHP_FOUND ON)

	else ( NOT PROPER )

		find_program( BLAHP_FOUND BLClient HINTS /usr/bin )
		dprint("Scanning for BLClient...(${BLAHP_FOUND})")

	endif ( NOT PROPER )


endif( WITH_BLAHP )

if ( BLAHP_FOUND )
	message( STATUS "external configured (blahp) BLAHP_FOUND=${BLAHP_FOUND}" )
	set( BLAHP_FOUND ${BLAHP_FOUND} PARENT_SCOPE )
	set( HAVE_EXT_BLAHP ON PARENT_SCOPE )
else()
	message ( STATUS "external skipped (blahp)" )
endif ( BLAHP_FOUND )

=== externals/bundles/globus/5.2.5/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

if (LINUX OR DARWIN)
	option(WITH_GLOBUS "Compiling with support for GLOBUS" ON)
endif()

if (WITH_GLOBUS)

	if (NOT PROPER)

		if (NOT HAVE_LIBLTDL AND NOT DARWIN)
			message(FATAL_ERROR "Can't find libltdl, needed to build globus external!")
		endif()

		execute_process(COMMAND perl -e "use Archive::Tar"
				RESULT_VARIABLE TEST_RESULT )
		if(NOT ${TEST_RESULT} MATCHES "0")
			message(FATAL_ERROR "Missing perl module Archive::Tar, needed to build globus external!")
		endif()

		execute_process(COMMAND perl -e "use Digest::MD5"
				RESULT_VARIABLE TEST_RESULT )
		if(NOT ${TEST_RESULT} MATCHES "0")
			message(FATAL_ERROR "Missing perl module Digest::MD5, needed to build globus external!")
		endif()

		if(${SYS_ARCH} MATCHES "IA64|X86_64")
			set( GLOBUS_FLAVOR gcc64dbg )
		else ()
			set( GLOBUS_FLAVOR gcc32dbg )
		endif()

		condor_pre_external( GLOBUS globus-5.2.5-p1 "lib;include" "done")

		# GNU libtool isn't included in Mac OS 10.8, but Globus
		# needs libltdl. Build it and install it in the Globus
		# install location. Then add it to the include and link paths.
		# (For our 10.7 binaries to run on 10.6 or 10.8, we can't
		#  use the OS's libltdl. So always build our own on Darwin.)
		if ( DARWIN )
			condor_pre_external( LIBTOOL libtool-2.4.2 "lib;include" "done")

			ExternalProject_Add(libtool
					#-- Download Step ----------
					DOWNLOAD_DIR ${LIBTOOL_STAGE}/dl
					URL ${EXTERNALS_SOURCE_URL}/libtool-2.4.2.tar.gz
					#--Configure step ----------
					CONFIGURE_COMMAND ./configure --prefix=${LIBTOOL_INSTALL_LOC}
					#--Build Step ----------
					BUILD_COMMAND make
					BUILD_IN_SOURCE 1
					#--install Step ----------
					INSTALL_DIR ${LIBTOOL_INSTALL_LOC}
					INSTALL_COMMAND make install &&
						touch ${LIBTOOL_INSTALL_LOC}/done)

			condor_post_external( libtool OFF OFF )
			set( GLOBUS_DEPENDS ${LIBTOOL_REF} )
			set( GLOBUS_FLAGS CPPFLAGS=-I${GLOBUS_INSTALL_LOC}/include LDFLAGS=-L${GLOBUS_INSTALL_LOC}/lib )
		else()
			set( GLOBUS_DEPENDS "" )
			set( GLOBUS_FLAGS "" )
		endif()


		set (GLOBUS_PATCH patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/xio-plugins.patch -p1 &&
						patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/gram_tls.patch -p1 &&
						patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/mac_openssl.patch -p1 &&
						cd source-trees/xio/src/builtins &&
						mkdir -p gsi popen &&
						cp ../../drivers/gsi/globus_i_xio_gsi.h gsi/globus_i_xio_gsi.h &&
						sed -i.old -e s/globus_xio_gsi.h/globus_xio_gsi_driver.h/ gsi/globus_i_xio_gsi.h &&
						cp ../../drivers/gsi/globus_xio_gsi.c gsi/globus_xio_gsi_driver.c &&
						cp ../../drivers/gsi/globus_xio_gsi.h gsi/globus_xio_gsi_driver.h &&
						cp ../../drivers/popen/source/globus_xio_popen_driver.h popen &&
						cp ../../drivers/popen/source/globus_xio_popen_driver.c popen &&
						cp tcp/Makefile.am gsi/Makefile.am &&
						sed -i.old -e s/tcp/gsi/g gsi/Makefile.am &&
						cp tcp/Makefile.in gsi/Makefile.in &&
						sed -i.old -e s/tcp/gsi/g gsi/Makefile.in &&
						cp tcp/Makefile.am popen/Makefile.am &&
						sed -i.old -e s/tcp/popen/g popen/Makefile.am &&
						cp tcp/Makefile.in popen/Makefile.in &&
						sed -i.old -e s/tcp/popen/g popen/Makefile.in )

		if(DARWIN)
			set ( GLOBUS_PATCH ${GLOBUS_PATCH} &&
				cd ../../../../ &&
				patch -N -i ${CMAKE_CURRENT_SOURCE_DIR}/xio-plugins-2.patch -p1 &&
				ln -s ${LIBTOOL_INSTALL_LOC}/include/ltdl.h ${GLOBUS_INSTALL_LOC}/include &&
				ln -s ${LIBTOOL_INSTALL_LOC}/include/libltdl ${GLOBUS_INSTALL_LOC}/include &&
				cp -a ${LIBTOOL_INSTALL_LOC}/lib/libltdl.7.dylib ${GLOBUS_INSTALL_LOC}/lib &&
				cp -a ${LIBTOOL_INSTALL_LOC}/lib/libltdl.a ${GLOBUS_INSTALL_LOC}/lib &&
				cp -a ${LIBTOOL_INSTALL_LOC}/lib/libltdl.dylib ${GLOBUS_INSTALL_LOC}/lib &&
				cp -a ${LIBTOOL_INSTALL_LOC}/lib/libltdl.la ${GLOBUS_INSTALL_LOC}/lib )
		endif()

		# honestly the build of globus is one of the strangest things I have ever seen and it makes no sense to me.
		ExternalProject_Add(globus
							DEPENDS ${GLOBUS_DEPENDS}
							#-- Download Step ----------
							DOWNLOAD_DIR ${GLOBUS_STAGE}/dl
							URL ${EXTERNALS_SOURCE_URL}/gt5.2.5-all-source-installer.tar.gz
							#--Patch step ----------
							PATCH_COMMAND ${GLOBUS_PATCH}
							#--Configure step ----------
							CONFIGURE_COMMAND ln -s lib ${GLOBUS_INSTALL_LOC}/lib64 &&
							./configure --prefix=${GLOBUS_INSTALL_LOC} --with-flavor=${GLOBUS_FLAVOR}pthr
							#--Build Step ----------
							BUILD_COMMAND ${GLOBUS_FLAGS} make gpt globus_gssapi_error globus-resource-management-sdk globus-data-management-sdk &&
								cd ${GLOBUS_INSTALL_LOC}/include/globus/ && ln -sf ${GLOBUS_FLAVOR}pthr/globus_config.h .
							BUILD_IN_SOURCE 1
							#--install Step ----------
							INSTALL_DIR ${GLOBUS_INSTALL_LOC}
							INSTALL_COMMAND touch ${GLOBUS_INSTALL_LOC}/done)

			## Set all the config information
			if ( LINUX )
				set (GLOBUS_FOUND "${GLOBUS_INSTALL_LOC}/lib/libglobus_gss_assist.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_gssapi_gsi.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_proxy_core.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_credential.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_callback.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_sysconfig.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_oldgaa.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_cert_utils.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_openssl.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_openssl_error.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_proxy_ssl.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_callout.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_common.so;${HAVE_LIBLTDL}")
				set (GLOBUS_FOUND_STATIC "${GLOBUS_INSTALL_LOC}/lib/libglobus_gss_assist.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gssapi_gsi.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_proxy_core.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_credential.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_callback.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_sysconfig.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_oldgaa.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_cert_utils.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_openssl.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_openssl_error.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_proxy_ssl.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_callout.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_common.a;${HAVE_LIBLTDL}")
			elseif( DARWIN )
				set (GLOBUS_FOUND "${GLOBUS_INSTALL_LOC}/lib/libglobus_gss_assist.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_gssapi_gsi.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_proxy_core.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_credential.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_callback.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_sysconfig.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_oldgaa.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_cert_utils.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_openssl.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_openssl_error.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_proxy_ssl.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_callout.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_common.dylib")
				set (GLOBUS_FOUND_STATIC "${GLOBUS_INSTALL_LOC}/lib/libglobus_gss_assist.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gssapi_gsi.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_proxy_core.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_credential.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_callback.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_sysconfig.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_oldgaa.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_cert_utils.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_openssl.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_openssl_error.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_proxy_ssl.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_callout.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_common.a;${GLOBUS_INSTALL_LOC}/lib/libltdl.a")
			else()
				set (GLOBUS_FOUND "${GLOBUS_INSTALL_LOC}/lib/libglobus_gss_assist.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gssapi_gsi.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_proxy_core.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_credential.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_callback.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_sysconfig.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_oldgaa.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gsi_cert_utils.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_openssl.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_openssl_error.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_proxy_ssl.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_callout.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_common.a")
				set (GLOBUS_FOUND_STATIC "${GLOBUS_FOUND}")
			endif()
			
			# primarily used by cream 
			foreach (_glob_lib ${GLOBUS_FOUND})
				string(REPLACE "${GLOBUS_FLAVOR}" "${GLOBUS_FLAVOR}pthr" _glob_thr_lib ${_glob_lib} )
				append_var(GLOBUS_THR_FOUND "${_glob_thr_lib}")
			endforeach(_glob_lib)

			if ( LINUX )
				set (GLOBUS_GRID_UNIVERSE_COMMON
				"${GLOBUS_INSTALL_LOC}/lib/libglobus_gssapi_error.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_xio.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_io.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_rsl.so")
			elseif ( DARWIN )
				set (GLOBUS_GRID_UNIVERSE_COMMON
				"${GLOBUS_INSTALL_LOC}/lib/libglobus_gssapi_error.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_xio.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_io.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_rsl.dylib")
			else()
				set (GLOBUS_GRID_UNIVERSE_COMMON
				"${GLOBUS_INSTALL_LOC}/lib/libglobus_gssapi_error.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_xio.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_io.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_rsl.a")
			endif()
			
			if ( LINUX )
				set (GLOBUS_GRID_UNIVERSE_GT2
				"${GLOBUS_INSTALL_LOC}/lib/libglobus_gass_transfer.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_gram_client.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_gram_protocol.so")
			elseif ( DARWIN )
				set (GLOBUS_GRID_UNIVERSE_GT2
				"${GLOBUS_INSTALL_LOC}/lib/libglobus_gass_transfer.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_gram_client.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_gram_protocol.dylib")
			else()
				set (GLOBUS_GRID_UNIVERSE_GT2
				"${GLOBUS_INSTALL_LOC}/lib/libglobus_gass_transfer.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gram_client.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_gram_protocol.a")
			endif()

			if ( LINUX )
				set (GLOBUS_GRID_UNIVERSE_NORDUGRID
				"${GLOBUS_INSTALL_LOC}/lib/libglobus_ftp_client.so;${GLOBUS_INSTALL_LOC}/lib/libglobus_ftp_control.so")
			elseif ( DARWIN )
				set (GLOBUS_GRID_UNIVERSE_NORDUGRID
				"${GLOBUS_INSTALL_LOC}/lib/libglobus_ftp_client.dylib;${GLOBUS_INSTALL_LOC}/lib/libglobus_ftp_control.dylib")
			else()
				set (GLOBUS_GRID_UNIVERSE_NORDUGRID
				"${GLOBUS_INSTALL_LOC}/lib/libglobus_ftp_client.a;${GLOBUS_INSTALL_LOC}/lib/libglobus_ftp_control.a")
			endif()

			condor_post_external( globus include/globus OFF )

			if ( LINUX )
				# Install the Globus libraries manually.
				# In order to use an install(FILES) command,
				# we'd have to explicitly list evey file.
				# We can't use a file(GLOB) because that's
				# evaluated when cmake is run, which may be
				# before the external is built.
				install( CODE "execute_process(COMMAND mkdir -p \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${EXTERNALS_LIB})" )
				install( CODE "execute_process(COMMAND find ${GLOBUS_INSTALL_LOC}/lib -maxdepth 1 -name *.so*
					COMMAND xargs -isrc cp -a src \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${EXTERNALS_LIB})" )
				if ( CONDOR_STRIP_PACKAGES )

=== externals/bundles/voms/2.0.6/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

# The source tarball voms-2.0.6.tar.gz was taken from the git
# repository git://testbed002.cnaf.infn.it/opt/gits/voms.git using
# tag voms_R_2_0_6.

if (LINUX OR DARWIN)
  option( WITH_VOMS "Compiling with support for VOMS" ON )
endif(LINUX OR DARWIN)

if ( WITH_VOMS )

	if (NOT PROPER)

		if (NOT EXPAT_FOUND)
			message(FATAL_ERROR "Can't find expat, needed to build voms external!")
		endif()

		if ( DARWIN )
			set ( VOMS_PATCH patch -N -p1 < ${CMAKE_CURRENT_SOURCE_DIR}/voms-gsoap.patch &&
				rm src/server/stdsoap2.c src/server/stdsoap2.h src/server/soapC.c src/server/soapH.h src/server/soapStub.h src/server/soapdefs.h &&
				touch -r src/utils/vomsfake.y src/utils/vomsparser.h &&
				touch -r src/utils/vomsfake.y src/utils/vomsparser.c &&
				touch -r src/utils/vomsfake.y src/utils/lex.yy.c &&
				patch -N -p1 < ${CMAKE_CURRENT_SOURCE_DIR}/globus_thread_h.patch &&
				patch -N -p1 < ${CMAKE_CURRENT_SOURCE_DIR}/new_cpp_linkage.patch &&
				cp ${CMAKE_CURRENT_SOURCE_DIR}/dummy.c src/replib &&
				patch -N -p1 < ${CMAKE_CURRENT_SOURCE_DIR}/replib.patch )
			set ( VOMS_GLOBUS_FLAG "" )
		ELSE()
			set ( VOMS_PATCH patch -N -p1 < ${CMAKE_CURRENT_SOURCE_DIR}/voms-gsoap.patch &&
				rm src/server/stdsoap2.c src/server/stdsoap2.h src/server/soapC.c src/server/soapH.h src/server/soapStub.h src/server/soapdefs.h &&
				touch -r src/utils/vomsfake.y src/utils/vomsparser.h &&
				touch -r src/utils/vomsfake.y src/utils/vomsparser.c &&
				touch -r src/utils/vomsfake.y src/utils/lex.yy.c &&
				patch -N -p1 < ${CMAKE_CURRENT_SOURCE_DIR}/globus_thread_h.patch &&
				./autogen.sh )
			set ( VOMS_GLOBUS_FLAG --with-globus-prefix=${GLOBUS_INSTALL_LOC} )
		ENDIF()

		condor_pre_external( VOMS voms-2.0.6 "include;lib" "done")

		if ( DARWIN AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" )
			string(REPLACE "-std=c++11" "" VOMS_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
			string(REPLACE "-std=c++11" "" VOMS_C_FLAGS "${CMAKE_C_FLAGS}")
			string(REPLACE "-std=c++11" "" VOMS_LDFLAGS "${CMAKE_SHARED_LINKER_FLAGS}")
			set ( VOMS_CXX_COMPILER  "clang++" )
                else()
			set ( VOMS_CXX_FLAGS ${CMAKE_CXX_FLAGS} )
			set ( VOMS_C_FLAGS ${CMAKE_C_FLAGS} )
			set ( VOMS_LDFLAGS ${CMAKE_SHARED_LINKER_FLAGS} )
			set ( VOMS_CXX_COMPILER ${CMAKE_CXX_COMPILER} )
		endif()

		ExternalProject_Add(voms
			DEPENDS ${GLOBUS_REF}
			#-- Download Step ----------
			DOWNLOAD_DIR ${VOMS_STAGE}/dl
			URL ${EXTERNALS_SOURCE_URL}/voms-2.0.6.tar.gz
			#--Patch step ----------
			PATCH_COMMAND ${VOMS_PATCH}
			#--Configure step ----------
			CONFIGURE_COMMAND 
				export CXX=${CMAKE_CXX_COMPILER} &&
				export CC=${CMAKE_C_COMPILER} &&
				export CXXFLAGS=${VOMS_CXX_FLAGS} &&
				export CFLAGS=${VOMS_C_FLAGS} &&
				export LDFLAGS=${VOMS_LDFLAGS} &&
				./configure
					--prefix=${VOMS_INSTALL_LOC}
					--with-api-only
					${VOMS_GLOBUS_FLAG}
					--disable-java --disable-docs
					--disable-glite
			#--Build Step ----------
			BUILD_COMMAND make
			BUILD_IN_SOURCE 1
			#--install Step ----------
			INSTALL_DIR ${VOMS_INSTALL_LOC}
			INSTALL_COMMAND make install && touch ${VOMS_INSTALL_LOC}/done
		)

		set( VOMS_FOUND_STATIC "${VOMS_INSTALL_LOC}/lib/libvomsapi.a" )
		if ( LINUX )
			set( VOMS_FOUND "${VOMS_INSTALL_LOC}/lib/libvomsapi.so" )
		elseif ( DARWIN )
			set( VOMS_FOUND "${VOMS_INSTALL_LOC}/lib/libvomsapi.dylib" )
		else()
			set( VOMS_FOUND "${VOMS_INSTALL_LOC}/lib/libvomsapi.a" )
		endif()

		condor_post_external( voms include OFF )

		if ( LINUX )
			# Install the VOMS libraries manually.
			# In order to use an install(FILES) command, we'd
			# have to explicitly list evey file.
			# We can't use a file(GLOB) because that's evaluated
			# when cmake is run, which may be before the
			# external is built.
			install( CODE "execute_process(COMMAND mkdir -p \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${EXTERNALS_LIB})" )
			install( CODE "execute_process(COMMAND find ${VOMS_INSTALL_LOC}/lib -maxdepth 1 -name *.so*
				COMMAND xargs -isrc cp -a src \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${EXTERNALS_LIB})" )
			if ( CONDOR_STRIP_PACKAGES )
				# Strip the libraries manually.
				# Since cmake didn't create the libraries
				# itself, it doesn't know to strip them.
				install( CODE "execute_process(COMMAND find \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${EXTERNALS_LIB} -name libvoms*.so*
					COMMAND xargs strip)" )
			endif()
			# Check libvomsapi's shared library dependencies
			# and copy a specific subset of those libraries
			# into <release>/lib/condor
			# This is to pick up libexpat, which libvomsapi
			# depends on, but none of the binaries that use it do.
			if ( NOT CONDOR_PACKAGE_BUILD )
				set( SRC_DIR ${CMAKE_SOURCE_DIR} )
				install( CODE "execute_process(COMMAND mkdir -p ${CMAKE_INSTALL_PREFIX}/lib/condor)" )
				install( CODE "execute_process(COMMAND ${SRC_DIR}/src/condor_scripts/print-libs ${VOMS_INSTALL_LOC}/lib/libvomsapi.so ${SRC_DIR}/src/condor_scripts/syslib-patterns
					 COMMAND xargs -isrc cp src ${CMAKE_INSTALL_PREFIX}/lib/condor
			 		 )" )
			endif()
		endif()
		if ( DARWIN )
			# Install the VOMS libraries manually.
			# In order to use an install(FILES) command, we'd
			# have to explicitly list evey file.
			# We can't use a file(GLOB) because that's evaluated
			# when cmake is run, which may be before the
			# external is built.
			install( CODE "execute_process(COMMAND mkdir -p \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${EXTERNALS_LIB})" )
			install( CODE "execute_process(COMMAND find ${VOMS_INSTALL_LOC}/lib -maxdepth 1 -name *.dylib*
				COMMAND xargs -I src cp -pPR src \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${EXTERNALS_LIB})" )

				# Fix up the share library dependencies
				install( CODE "execute_process(COMMAND find \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${EXTERNALS_LIB} -name libvoms*.dylib*
					 COMMAND xargs ${CMAKE_SOURCE_DIR}/src/condor_scripts/macosx_rewrite_libs)" )

			if ( CONDOR_STRIP_PACKAGES )
				# Strip the libraries manually.
				# Since cmake didn't create the libraries
				# itself, it doesn't know to strip them.
				install( CODE "execute_process(COMMAND find \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${EXTERNALS_LIB} -name libvoms*.dylib*
					COMMAND xargs strip -x)" )
			endif()
		endif()

	else(NOT PROPER)

		find_multiple( "vomsapi" VOMS_FOUND)

	endif(NOT PROPER)

	if (VOMS_FOUND)
		message ( STATUS "external configured (VOMS_FOUND=${VOMS_FOUND})" )
		set( HAVE_EXT_VOMS ON PARENT_SCOPE )
		set( VOMS_FOUND ${VOMS_FOUND} PARENT_SCOPE )
		set( VOMS_FOUND_STATIC ${VOMS_FOUND_STATIC} PARENT_SCOPE )
	endif()

endif()

if(NOT VOMS_FOUND)
	message ( STATUS "external skipped (voms)" )
endif()

=== debian/changelog ===
condor (8.2.9~dfsg.1-1) unstable; urgency=medium

  * New upstream bugfix release closing >25 tickets.
    - "Smaller" partitionable slots are now merged to allow for a "bigger"
      job to match (needs ALLOW_PSLOT_PREEMPTION=True; default behavior
      unchanged).
    - Fix LaTeX documentation sources to work with the most recent TeTeX
      (Closes: #790865). Thanks to Martin Michlmayr for the report and a
      patch.
  * Remove package section disparity (devel -> libdevel).

 -- Michael Hanke <mih@debian.org>  Mon, 17 Aug 2015 08:35:31 +0200

=== debian/control ===
Source: condor
Maintainer: HTCondor Developers <condor-debian@cs.wisc.edu>
Uploaders: Michael Hanke <mih@debian.org>,
           Brian Lin <blin@cs.wisc.edu>
Section: science
Priority: extra
Build-Depends: autotools-dev,
               chrpath,
               cmake,
               debhelper (>= 9~),
               default-jdk | gcj-jdk,
               dh-autoreconf,
               gsoap (>= 2.7.17-1~),
               help2man,
               latex2html,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-python-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libcgroup-dev,
               libcurl4-openssl-dev,
               libexpat1-dev,
               libglobus-ftp-client-dev,
               libglobus-gass-server-ez-dev,
               libglobus-gram-client-dev,
               libglobus-gram-protocol-dev,
               libglobus-gss-assist-dev,
               libkrb5-dev,
               libldap2-dev | libldap-dev,
               libpcre3-dev,
               libpq-dev,
               libvirt-dev,
               libx11-dev,
               libxml2-dev,
               po-debconf,
               python-dev,
               transfig,
               uuid-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/condor.git
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/condor.git
Homepage: http://research.cs.wisc.edu/htcondor

Package: htcondor
Architecture: any
Depends: adduser,
         debconf | debconf-2.0,
         libdate-manip-perl,
         python,
         ${misc:Depends},
         ${perl:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: dmtcp
Suggests: coop-computing-tools
Breaks: condor (<< 8.0.5~)
Replaces: condor (<< 8.0.5~)
Description: distributed workload management system
 Like other full-featured batch systems, HTCondor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to HTCondor;
 HTCondor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing systems, HTCondor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. HTCondor
 does not require a shared file system across machines - if no shared file
 system is available, HTCondor can transfer the job's data files on behalf of
 the user.
 .
 This package can set up an appropriate initial configuration at install
 time for a machine intended either as a member of an existing HTCondor pool
 or as a "Personal" (single machine) HTCondor pool.

Package: htcondor-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: condor-dev (<< 8.0.5~)
Replaces: condor-dev (<< 8.0.5~)
Description: distributed workload management system - development files
 Like other full-featured batch systems, HTCondor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to HTCondor;
 HTCondor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing systems, HTCondor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. HTCondor
 does not require a shared file system across machines - if no shared file
 system is available, HTCondor can transfer the job's data files on behalf of
 the user.
 .
 This package provides headers and libraries for development of HTCondor
 add-ons.

Package: htcondor-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: condor-doc (<< 8.0.5~)
Replaces: condor-doc (<< 8.0.5~)
Description: distributed workload management system - documentation
 Like other full-featured batch systems, HTCondor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to HTCondor;
 HTCondor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing systems, HTCondor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. HTCondor
 does not require a shared file system across machines - if no shared file
 system is available, HTCondor can transfer the job's data files on behalf of
 the user.
 .
 This package provides HTCondor's documentation in HTML and PDF format, as well
 as configuration and other examples.

Package: htcondor-dbg
Architecture: any
Section: debug
Depends: htcondor (= ${binary:Version}),
         ${misc:Depends}
Breaks: condor-dbg (<< 8.0.5~)
Replaces: condor-dbg (<< 8.0.5~)
Description: distributed workload management system - debugging symbols
 Like other full-featured batch systems, HTCondor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to HTCondor;
 HTCondor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing systems, HTCondor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. HTCondor
 does not require a shared file system across machines - if no shared file
 system is available, HTCondor can transfer the job's data files on behalf of
 the user.
 .
 This package provides the debugging symbols for HTCondor.

Package: libclassad-dev
Architecture: any
Section: libdevel
Depends: libclassad7 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libclassad0-dev
Replaces: libclassad0-dev
Description: HTCondor classads expression language - development library
 Classified Advertisements (classads) are the lingua franca of HTCondor, used
 for describing jobs, workstations, and other resources. There is a protocol
 for evaluating whether two classads match, which is used by the HTCondor
 central manager to determine the compatibility of jobs, and workstations where
 they may be run.
 .
 This package provides the static library and header files.

Package: libclassad7
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: HTCondor classads expression language - runtime library
 Classified Advertisements (classads) are the lingua franca of HTCondor, used
 for describing jobs, workstations, and other resources. There is a protocol
 for evaluating whether two classads match, which is used by the HTCondor
 central manager to determine the compatibility of jobs, and workstations where
 they may be run.
 .
 This package provides the runtime library.

Package: condor
Architecture: all
Section: oldlibs
Priority: extra
Depends: htcondor,
         ${misc:Depends}
Description: transitional dummy package
 This package aids upgrades of existing Condor installations to the new project
 and package name "HTCondor". The package is empty and it can safely be
 removed.

Package: condor-doc
Architecture: all
Section: oldlibs
Priority: extra
Depends: htcondor-doc,
         ${misc:Depends}
Description: transitional dummy package
 This package aids upgrades of existing Condor installations to the new project
 and package name "HTCondor". The package is empty and it can safely be
 removed.

Package: condor-dev
Architecture: all
Section: oldlibs
Priority: extra
Depends: htcondor-dev,
         ${misc:Depends}
Description: transitional dummy package
 This package aids upgrades of existing Condor installations to the new project
 and package name "HTCondor". The package is empty and it can safely be
 removed.

Package: condor-dbg
Architecture: all
Section: oldlibs
Priority: extra
Depends: htcondor-dbg,
         ${misc:Depends}
Description: transitional dummy package
 This package aids upgrades of existing Condor installations to the new project
 and package name "HTCondor". The package is empty and it can safely be
 removed.
